Visual Studio Build fails: missing ProBuilder assemblies and scripts

I can't debug my game in unity3d because Visual Studio fails to build the project. Here's the output:

1>------ Build started: Project: Superball Destruction, Configuration: Debug Any CPU ------
1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1964,5): warning MSB3245: Could not resolve this reference. Could not locate the assembly "ProBuilderCore-Unity5". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.
1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1964,5): warning MSB3245: Could not resolve this reference. Could not locate the assembly "ProBuilderMeshOps-Unity5". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.
1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1964,5): warning MSB3245: Could not resolve this reference. Could not locate the assembly "KdTreeLib". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.
1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1964,5): warning MSB3245: Could not resolve this reference. Could not locate the assembly "pb_Stl". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.
1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1964,5): warning MSB3245: Could not resolve this reference. Could not locate the assembly "Poly2Tri". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.
1>C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\MSBuild\15.0\Bin\Microsoft.Common.CurrentVersion.targets(1964,5): warning MSB3245: Could not resolve this reference. Could not locate the assembly "ProBuilderEditor-Unity5". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.
1>CSC : error CS2001: Source file 'D:\git repositories\Superball Destruction\Assets\ProCore\ProBuilder\API Examples\Misc\HueCube.cs' could not be found.
1>CSC : error CS2001: Source file 'D:\git repositories\Superball Destruction\Assets\ProCore\ProBuilder\API Examples\Procedural Mesh\ExtrudeRandomEdges.cs' could not be found.
1>CSC : error CS2001: Source file 'D:\git repositories\Superball Destruction\Assets\ProCore\ProBuilder\API Examples\Runtime Editing\RuntimeEdit.cs' could not be found.
1>CSC : error CS2001: Source file 'D:\git repositories\Superball Destruction\Assets\ProCore\ProBuilder\API Examples\Vertex Colors\HighlightNearestFace.cs' could not be found.
1>CSC : error CS2001: Source file 'D:\git repositories\Superball Destruction\Assets\ProCore\ProBuilder\API Examples\Icosphere FFT\Scripts\CameraControls.cs' could not be found.
1>CSC : error CS2001: Source file 'D:\git repositories\Superball Destruction\Assets\ProCore\ProBuilder\API Examples\Icosphere FFT\Scripts\IcoBumpin.cs' could not be found.
========== Build: 0 succeeded, 1 failed, 0 up-to-date, 0 skipped ==========

Originally I was working in Unity 2018.1.4f1. I installed ProBuilder by dragging the package into my project's Assets folder. I had problems with parent/child Transforms of ProBuilder prefabs, and the developers suggested I upgraded to a 3.0+ version. They told me to upgrade ProBuilder through the Package Manager window, and I followed all of their steps except for one (can't remember which, though).

My best guess is that there is a build script in VS I'd have to update to point to new assemblies or source files, but I'm not sure.

Hi, sorry for the late reply- are you still having this issue? The drag-drop install process sounds like the start of the issue, that would mean you were using the older (Asset Store) version, not recommended for Unity 2018+ versions.

If possible, I would recommend removing ProBuilder entirely, restarting Unity, then doing a clean re-install via Package Manager. Sounds silly, but this can really help when there have been upgrade issues.